Skip to main content
GET
Events

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

events
string[]

Comma separated list of canonical Coin Metrics event IDs, e.g. kalshi-KXDPRESPRIMARY-28SC. By default all events are returned.

exchange
string

Unique name of an exchange.

event_tickers
string[]

Comma separated list of venue-native event tickers or slugs to match exactly, across prediction exchanges.

include_expired
boolean

If true, include expired events (events whose scheduled close is in the past or unknown). Defaults to false, which returns only live events. May be combined with exchange or used alone; include_expired=true may additionally be combined with events or event_tickers.

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:start

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

format
string
default:json

Format of the response. Supported values are json, json_stream.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

List of events metadata.

List of events.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.